- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Conformant

## Functions
Evas_Object * | elm_conformant_add (Evas_Object *parent)
| Add a new conformant widget to the given parent Elementary (container) object. More...

## Detailed Description

The aim is to provide a widget that can be used in elementary apps to account for space taken up by the indicator, virtual keypad & softkey windows when running the illume2 module of E17.

So conformant content will be sized and positioned considering the space required for such stuff, and when they popup, as a keyboard shows when an entry is selected, conformant content won't change.

This widget inherits from the Layout one, so that all the functions acting on it also work for conformant objects.

This widget emits the following signals, besides the ones sent from Layout:

- "virtualkeypad,state,on": if virtualkeypad state is switched to "on". (
  Since
    1.8)
- "virtualkeypad,state,off": if virtualkeypad state is switched to "off". (
  Since
    1.8)
- "clipboard,state,on": if clipboard state is switched to "on". (
  Since
    1.8)
- "clipboard,state,off": if clipboard state is switched to "off". (
  Since
    1.8) In all cases, the `event` parameter of the callback will be `NULL`.
  Available styles for it:
  - `"default"`

Default content parts of the conformant widget that you can use for are:

- "default" - A content of the conformant

See how to use this widget in this example: Conformant Example.

## Function Documentation

Evas_Object* elm_conformant_add | ( | Evas_Object * | parent | ) |

Add a new conformant widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  A new conformant widget handle or `NULL`, on errors.

This function inserts a new conformant widget on the canvas.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:12